Bug 531667 - [abrt] crash detected in python-2.6.2-2.fc12
Summary: [abrt] crash detected in python-2.6.2-2.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: conduit
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:10988456c57f2469f8f71cc85c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-29 03:48 UTC by Jens Knutson
Modified: 2009-11-25 15:13 UTC (History)
7 users (show)

Fixed In Version: 0.3.16-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 15:02:50 UTC


Attachments (Terms of Use)
File: backtrace (27.85 KB, text/plain)
2009-10-29 03:48 UTC, Jens Knutson
no flags Details
Patch to the Zoto module's makefile.am (306 bytes, patch)
2009-10-29 20:30 UTC, Jens Knutson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 600071 None None None Never

Description Jens Knutson 2009-10-29 03:48:06 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
Typing more than 3-5 characters causes bpython to crash - doesn't matter what the actual characters are

Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/bin/python /usr/bin/bpython 


component
-----
python


executable
-----
/usr/bin/python


kernel
-----
2.6.31.5-96.fc12.i686


package
-----
python-2.6.2-2.fc12


reason
-----
Process was terminated by signal 6

Comment 1 Jens Knutson 2009-10-29 03:48:12 UTC
Created attachment 366539 [details]
File: backtrace

Comment 2 Dave Malcolm 2009-10-29 15:51:33 UTC
Thanks for filing this bug report.

Looking at the backtrace, in frame 7 it's importing "ZotoModule"; which in frame 6 is in /usr/lib/python2.6/site-packages/conduit/modules/ZotoModule.py

Looking at frames 3 and 4, it something's gone badly wrong (I'm guessing a double-free within the fclose inside call_find_module).

Can you see an error message on the terminal when you run this?  If you redirect stderr, can you capture an error message?

Comment 3 Jens Knutson 2009-10-29 19:54:47 UTC
I'd like to offer the commandline output, but bpython makes that REALLY hard (impossible?).  I can't get it to redirect properly.  I guess he's doing some kind of voodoo with readline?

It's *really* easy to repro this though, just do the following on a F12-beta/Rawhide machine:
pkcon install bpython conduit

Then open bpython, type in a couple characters, and watch it take a crap.


That said, here's a "playback" of what I tried:


[jensck@Anvil ~]$ bpython 2> bp_errors.txt

(bpython loads, I type in a couple chars, and it crashes, with the following on the screen):

    /usr/lib/python2.6/lib-dynload/unicodedata.so
                                                             00511000-00521000 rw-p 0007f000 08:01 112875     /usr/lib/python2.6/lib-dynload/unicodedata.so
                                                                                                                                                           00535000-0053d000 r-xp 00000000 08:01 112857     /usr/lib/python2.6/lib-dynload/itertoolsmodule.so
                                          0053d000-00540000 rw-p 00008000 08:01 112857     /usr/lib/python2.6/lib-dynload/itertoolsmodule.so
[snip]

There's a ton of this stuff thrown on the screen, oddly formatted, as you can see.  With all the crazy indents removed, it looks like this:

/usr/lib/python2.6/lib-dynload/unicodedata.so
00511000-00521000 rw-p 0007f000 08:01 112875     /usr/lib/python2.6/lib-dynload/unicodedata.so
00535000-0053d000 r-xp 00000000 08:01 112857     /usr/lib/python2.6/lib-dynload/itertoolsmodule.so
0053d000-00540000 rw-p 00008000 08:01 112857     /usr/lib/python2.6/lib-dynload/itertoolsmodule.so
006ea000-006f0000 r-xp 00000000 08:01 112815     /usr/lib/python2.6/lib-dynload/_collectionsmodule.so
006f0000-006f1000 rw-p 00005000 08:01 112815     /usr/lib/python2.6/lib-dynload/_collectionsmodule.so
0075c000-00774000 r-xp 00000000 08:01 112817     /usr/lib/python2.6/lib-dynload/_ctypes.so
00774000-00777000 rw-p 00018000 08:01 112817     /usr/lib/python2.6/lib-dynload/_ctypes.so
00a2e000-00a30000 r-xp 00000000 08:01 112822     /usr/lib/python2.6/lib-dynload/_functoolsmodule.so
00a30000-00a31000 rw-p 00001000 08:01 112822     /usr/lib/python2.6/lib-dynload/_functoolsmodule.so
00a63000-00a66000 r-xp 00000000 08:01 112873     /usr/lib/python2.6/lib-dynload/timemodule.so
00a66000-00a68000 rw-p 00002000 08:01 112873     /usr/lib/python2.6/lib-dynload/timemodule.so
00ab7000-00aba000 r-xp 00000000 08:01 112846     /usr/lib/python2.6/lib-dynload/cStringIO.so
00aba000-00abb000 rw-p 00003000 08:01 112846     /usr/lib/python2.6/lib-dynload/cStringIO.so
00b4c000-00b81000 r-xp 00000000 08:01 7309       /lib/libreadline.so.6.0
00b81000-00b85000 rw-p 00035000 08:01 7309       /lib/libreadline.so.6.0
00b85000-00b86000 rw-p 00000000 00:00 0 
00b88000-00b8d000 r-xp 00000000 08:01 19009      /usr/lib/libffi.so.5.0.6
00b8d000-00b8e000 rw-p 00005000 08:01 19009      /usr/lib/libffi.so.5.0.6
00b95000-00bb2000 r-xp 00000000 08:01 13855      /lib/libgcc_s-4.4.2-20091018.so.1
00bb2000-00bb3000 rw-p 0001c000 08:01 13855      /lib/libgcc_s-4.4.2-20091018.so.1
00ca2000-00cc4000 r-xp 00000000 08:01 22524      /lib/libncurses.so.5.7
00cc4000-00cc5000 rw-p 00021000 08:01 22524      /lib/libncurses.so.5.7
00d6a000-00d79000 r-xp 00000000 08:01 112849     /usr/lib/python2.6/lib-dynload/datetime.so
00d79000-00d7c000 rw-p 0000f000 08:01 112849     /usr/lib/python2.6/lib-dynload/datetime.so
00d9e000-00db4000 r-xp 00000000 08:01 22522      /lib/libtinfo.so.5.7
00db4000-00db7000 rw-p 00015000 08:01 22522      /lib/libtinfo.so.5.7
00dc2000-00dc9000 r-xp 00000000 08:01 112839     /usr/lib/python2.6/lib-dynload/_struct.so
00dc9000-00dcb000 rw-p 00006000 08:01 112839     /usr/lib/python2.6/lib-dynload/_struct.so
00dda000-00ddd000 r-xp 00000000 08:01 112827     /usr/lib/python2.6/lib-dynload/_localemodule.so
00ddd000-00dde000 rw-p 00003000 08:01 112827     /usr/lib/python2.6/lib-dynload/_localemodule.so
00e52000-00e56000 r-xp 00000000 08:01 112870     /usr/lib/python2.6/lib-dynload/stropmodule.so
00e56000-00e58000 rw-p 00004000 08:01 112870     /usr/lib/python2.6/lib-dynload/stropmodule.so
00ebe000-00eec000 r-xp 00000000 08:01 169793     /usr/lib/python2.6/site-packages/_xmlplus/parsers/pyexpat.so
00eec000-00eef000 rw-p 0002d000 08:01 169793     /usr/lib/python2.6/site-packages/_xmlplus/parsers/pyexpat.so
0248f000-025ea000 r-xp 00000000 08:01 2656       /usr/lib/libpython2.6.so.1.0
025ea000-02616000 rw-p 0015a000 08:01 2656       /usr/lib/libpython2.6.so.1.0
02616000-0261f000 rw-p 00000000 00:00 0 
076e3000-07705000 r-xp 00000000 08:01 18924      /usr/lAborted

...

What about bp_errors.txt?  It's empty:
[jensck@Anvil ~]$ ls -l bp_errors.txt 
-rw-rw-r--. 1 jensck jensck 0 2009-10-29 14:39 bp_errors.txt

Trying to redirect both stderr and stdout produces the following:
[jensck@Anvil ~]$ bpython &> bp_output_and_errors.txt
[jensck@Anvil ~]$ cat bp_output_and_errors.txt 

[terminal resets here, clearing the screen]

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/bpython/cli.py", line 2210, in main
    o = curses.wrapper(main_curses, exec_args, options.interactive)
  File "/usr/lib/python2.6/curses/wrapper.py", line 49, in wrapper
    curses.nocbreak()
error: nocbreak() returned ERR


Fun, huh?

Thanks for the info on the backtrace, btw - removing conduit fixed the problem.

Comment 4 Jens Knutson 2009-10-29 20:29:20 UTC
Figured it out!

There's a bug in one of conduit's makefiles, which caused the *directory* for the zoto module to be called "ZotoModule.py" instead of "ZotoModule".

I've attached a patch which corrects this, and have submitted it upstream as well as https://bugzilla.gnome.org/show_bug.cgi?id=600071

Comment 5 Jens Knutson 2009-10-29 20:30:54 UTC
Created attachment 366709 [details]
Patch to the Zoto module's makefile.am

Comment 6 Dave Malcolm 2009-11-06 21:31:51 UTC
Reassigning component from "python" to "conduit".

Comment 7 Fedora Update System 2009-11-07 21:01:05 UTC
conduit-0.3.16-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/conduit-0.3.16-5.fc11

Comment 8 Fedora Update System 2009-11-07 21:02:03 UTC
conduit-0.3.16-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/conduit-0.3.16-5.fc12

Comment 9 Fedora Update System 2009-11-10 17:44:05 UTC
conduit-0.3.16-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update conduit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11174

Comment 10 Fedora Update System 2009-11-10 17:57:09 UTC
conduit-0.3.16-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update conduit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11293

Comment 11 Bug Zapper 2009-11-16 14:32:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Fedora Update System 2009-11-25 15:02:43 UTC
conduit-0.3.16-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-25 15:13:16 UTC
conduit-0.3.16-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.